{ config, pkgs, lib, ... }: {
  # Set up Gitea with LFS support
  services.gitea = {
    enable = true;
    domain = "git.coolneng.duckdns.org";
    rootUrl = "https://git.coolneng.duckdns.org";
    database = {
      type = "postgres";
      passwordFile = config.age.secrets.gitea.path;
    };
    repositoryRoot = "/vault/git";
    appName = "Gitea";
    lfs.enable = true;
    settings = {
      ui.DEFAULT_THEME = "arc-green";
      session.COOKIE_SECURE = true;
      service.DISABLE_REGISTRATION = true;
      server.DISABLE_SSH = true;
    };
  };
}
